/*
Copyright (c) 1997-2000 Allaire.  All Rights Reserved.

DO NOT REDISTRIBUTE THIS SOFTWARE IN ANY WAY WITHOUT THE EXPRESSED
WRITTEN PERMISSION OF ALLAIRE.
*/

#ifndef _JRUN_PROXY_HEADERS_H
#define _JRUN_PROXY_HEADERS_H

const struct { int cmd; const char *var; } VARIABLE_NAMES[] =
{
	PROXY_SET_QUERY_STRING, "QUERY_STRING",
	PROXY_SET_REQUEST_METHOD, "REQUEST_METHOD",
	PROXY_SET_SCRIPT_NAME, "SCRIPT_NAME",
	PROXY_SET_PATH_INFO, "PATH_INFO",
	PROXY_SET_REMOTE_HOST, "REMOTE_HOST",
	PROXY_SET_REMOTE_ADDRESS, "REMOTE_ADDR",
	PROXY_SET_SERVER_NAME, "SERVER_NAME",
	PROXY_SET_SERVER_PORT, "SERVER_PORT",
	PROXY_SET_SERVER_PROTOCOL, "SERVER_PROTOCOL",
	PROXY_SET_PATH_TRANSLATED, "PATH_TRANSLATED",
	PROXY_SET_SECURE, "SERVER_PORT_SECURE",
	PROXY_SET_REMOTE_USER, "REMOTE_USER",
	PROXY_SET_AUTH_TYPE, "AUTH_TYPE",
};

#define HEADER_COUNT (sizeof(HEADER_NAMES) / sizeof(*HEADER_NAMES))
#define VARIABLE_COUNT (sizeof(VARIABLE_NAMES) / sizeof(*VARIABLE_NAMES))

#endif
