/*
Copyright (c) 1997-2000 Allaire.  All Rights Reserved.

DO NOT REDISTRIBUTE THIS SOFTWARE IN ANY WAY WITHOUT THE EXPRESSED
WRITTEN PERMISSION OF ALLAIRE.
*/

#ifndef EXTENSION_H
#define EXTENSION_H

#if defined __cplusplus
extern "C" {
#endif

#include <HttpExt.h>
#include <HttpFilt.h>
#include "jrun_proxy.h"

// Prototypes
void WriteToClient(EXTENSION_CONTROL_BLOCK *pECB, const char *msg);
void WriteToLog(jrun_request *, const char *szFormat, ...);
char *	allocStr(HTTP_FILTER_CONTEXT *pfc, char *str);
char *	GetRegEntry(const char *regKey, char *regSubKey);
char *  getJarList(char *requestedPath);
BOOL MapRequestCheck(jrun_request  *, char *);
void init_isapi_request(jrun_request *r,  EXTENSION_CONTROL_BLOCK *,
						HTTP_FILTER_CONTEXT *);

// For thread local storage
#define Thread    __declspec( thread )
#define DllExport __declspec( dllexport ) 

#if defined __cplusplus
}
#endif

#endif


